Name:           unclutter
Version:        8
Release:        17%{?dist}
Summary:        Hide mouse cursor when idle

Group:          User Interface/X
License:        Public Domain
URL:            ftp://export.lcs.mit.edu/contrib/utilities/unclutter-%{version}.README
Source0:        ftp://export.lcs.mit.edu/contrib/utilities/unclutter-%{version}.tar.Z

# for xmkmf
BuildRequires:  imake
# for Xlib.h and Xutil.h
BuildRequires:  libX11-devel
# for Xos.h and Xproto.h
BuildRequires:  xorg-x11-proto-devel
# for -lXext
BuildRequires: libXext-devel

%description
Unclutter hides the mouse cursor image from the screen so that it does not
obstruct the area you are looking at. It hides the mouse cursor when it is not
moved for a specified amount of time or no buttons are pressed on the mouse.
Cursor image will be restored once the mouse is moved again.  


%prep
%setup -q -n unclutter


%build
xmkmf
make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS" CDEBUGFLAGS="$RPM_OPT_FLAGS"


%install
rm -rf $RPM_BUILD_ROOT
make install install.man DESTDIR=$RPM_BUILD_ROOT INSTMANFLAGS="-p -m0644"



%files
%defattr(-,root,root,-)
%doc README
%{_bindir}/unclutter
%{_mandir}/man1/unclutter.1*


%changelog
* Wed Mar 07 2018 Adam Williamson <awilliam@redhat.com> - 8-17
- Rebuild to fix GCC 8 mis-compilation
  See https://da.gd/YJVwk ("GCC 8 ABI change on x86_64")

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 8-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 8-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 8-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 8-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 8-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 8-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 8-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 8-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 8-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 8-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 8-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 8-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Apr 12 2009 Till Maas <opensource@till.name> - 8-2
- Update description to the one provided by Lucian Langa

* Thu Apr 02 2009 Till Maas <opensource@till.name> - 8-1
- initial spec for Fedora
